|  | Home | Documentation | addressStub.h File Reference updated Mon Nov 12 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Enumerations
addressStub.h File Reference
`#include <vector>`
`#include "stdsoap2.h"`
Include dependency graph for addressStub.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | a__address
| "urn:address-book-example":address is a complexType. More...
class | _a__address_book
| Top-level root element "urn:address-book-example":address-book. More...
struct | SOAP_ENV__Header
struct | SOAP_ENV__Code
struct | SOAP_ENV__Detail
struct | SOAP_ENV__Reason
struct | SOAP_ENV__Fault

## Macros
#define | SOAP_NAMESPACE_OF_a "urn:address-book-example"
#define | SOAP_TYPE_a__ISO_country (10)
#define | SOAP_TYPE_a__address (8)
#define | SOAP_TYPE__a__address_book (9)
#define | SOAP_TYPE_SOAP_ENV__Header (18)
#define | SOAP_TYPE_SOAP_ENV__Code (19)
#define | SOAP_TYPE_SOAP_ENV__Detail (21)
#define | SOAP_TYPE_SOAP_ENV__Reason (24)
#define | SOAP_TYPE_SOAP_ENV__Fault (25)
#define | SOAP_TYPE__XML (5)
#define | SOAP_TYPE__QName (6)
#define | SOAP_TYPE_byte (3)
#define | SOAP_TYPE_int (1)
#define | SOAP_TYPE_dateTime (13)
#define | SOAP_TYPE_std__string (11)
#define | SOAP_TYPE_PointerToSOAP_ENV__Reason (27)
#define | SOAP_TYPE_PointerToSOAP_ENV__Detail (26)
#define | SOAP_TYPE_PointerToSOAP_ENV__Code (20)
#define | SOAP_TYPE_PointerToa__address (16)
#define | SOAP_TYPE_PointerTodateTime (14)
#define | SOAP_TYPE_PointerTostd__string (12)
#define | SOAP_TYPE_string (4)
#define | SOAP_TYPE_std__vectorTemplateOfPointerToa__address (17)

## Typedefs
typedef char * | _XML
typedef char * | _QName

## Enumerations
enum | a__ISO_country { a__ISO_country__be, a__ISO_country__ca, a__ISO_country__de, a__ISO_country__en, a__ISO_country__gb, a__ISO_country__it, a__ISO_country__nl, a__ISO_country__no, a__ISO_country__ru, a__ISO_country__se, a__ISO_country__us, a__ISO_country__be = 0, a__ISO_country__ca = 1, a__ISO_country__de = 2, a__ISO_country__en = 3, a__ISO_country__gb = 4, a__ISO_country__it = 5, a__ISO_country__nl = 6, a__ISO_country__no = 7, a__ISO_country__ru = 8, a__ISO_country__se = 9, a__ISO_country__us = 10 }

## Macro Definition Documentation

#define SOAP_NAMESPACE_OF_a "urn:address-book-example"

Definition at line 15 of file addressStub.h.

#define SOAP_TYPE__a__address_book (9)

Definition at line 121 of file addressStub.h.

#define SOAP_TYPE__QName (6)

Definition at line 289 of file addressStub.h.

#define SOAP_TYPE__XML (5)

Definition at line 283 of file addressStub.h.

#define SOAP_TYPE_a__address (8)

Definition at line 69 of file addressStub.h.

#define SOAP_TYPE_a__ISO_country (10)

Definition at line 34 of file addressStub.h.

#define SOAP_TYPE_byte (3)

Definition at line 302 of file addressStub.h.

#define SOAP_TYPE_dateTime (13)

Definition at line 312 of file addressStub.h.

#define SOAP_TYPE_int (1)

Definition at line 307 of file addressStub.h.

#define SOAP_TYPE_PointerToa__address (16)

Definition at line 377 of file addressStub.h.

#define SOAP_TYPE_PointerTodateTime (14)

Definition at line 382 of file addressStub.h.

#define SOAP_TYPE_PointerToSOAP_ENV__Code (20)

Definition at line 372 of file addressStub.h.

#define SOAP_TYPE_PointerToSOAP_ENV__Detail (26)

Definition at line 367 of file addressStub.h.

#define SOAP_TYPE_PointerToSOAP_ENV__Reason (27)

Definition at line 362 of file addressStub.h.

#define SOAP_TYPE_PointerTostd__string (12)

Definition at line 387 of file addressStub.h.

#define SOAP_TYPE_SOAP_ENV__Code (19)

Definition at line 175 of file addressStub.h.

#define SOAP_TYPE_SOAP_ENV__Detail (21)

Definition at line 198 of file addressStub.h.

#define SOAP_TYPE_SOAP_ENV__Fault (25)

Definition at line 241 of file addressStub.h.

#define SOAP_TYPE_SOAP_ENV__Header (18)

Definition at line 158 of file addressStub.h.

#define SOAP_TYPE_SOAP_ENV__Reason (24)

Definition at line 221 of file addressStub.h.

#define SOAP_TYPE_std__string (11)

Definition at line 322 of file addressStub.h.

#define SOAP_TYPE_std__vectorTemplateOfPointerToa__address (17)

Definition at line 407 of file addressStub.h.

#define SOAP_TYPE_string (4)

Definition at line 402 of file addressStub.h.

## Typedef Documentation

typedef char* _QName

Definition at line 290 of file addressStub.h.

typedef char* _XML

Definition at line 284 of file addressStub.h.

## Enumeration Type Documentation

enum a__ISO_country

Enumerator
a__ISO_country__be | xs:string value="be"
a__ISO_country__ca | xs:string value="ca"
a__ISO_country__de | xs:string value="de"
a__ISO_country__en | xs:string value="en"
a__ISO_country__gb | xs:string value="gb"
a__ISO_country__it | xs:string value="it"
a__ISO_country__nl | xs:string value="nl"
a__ISO_country__no | xs:string value="no"
a__ISO_country__ru | xs:string value="ru"
a__ISO_country__se | xs:string value="se"
a__ISO_country__us | xs:string value="us"
a__ISO_country__be |
a__ISO_country__ca |
a__ISO_country__de |
a__ISO_country__en |
a__ISO_country__gb |
a__ISO_country__it |
a__ISO_country__nl |
a__ISO_country__no |
a__ISO_country__ru |
a__ISO_country__se |
a__ISO_country__us |

Definition at line 36 of file addressStub.h.